MFC022 — Transferencia de Cheques Entre Empresas
Fonte
- Source:
source/MFC022/
Objetivo
O módulo MFC022 permite realizar a transferencia de cheques entre empresas dentro do mesmo grupo empresarial. Esta funcionalidade e essencial para empresas que possuem multiplas filiais ou empresas coligadas e precisam movimentar cheques recebidos ou a pagar de uma empresa para outra.
O processo envolve a selecao de cheques pendentes na empresa de origem, a definicao da empresa de destino e da conta de saldo correspondente, e a execucao automatica da transferencia. O sistema realiza a baixa do cheque na empresa de origem e o registro na empresa de destino, com lancamentos de caixa em ambas as empresas para manter a integridade contábil.
Este módulo e utilizado pelo departamento financeiro e de tesouraria, especialmente em cenarios de gestao centralizada de caixa ou redistribuicao de recursos entre empresas do grupo. Suporta tanto cheques a pagar quanto cheques a receber, com selecao configuravel do tipo de cheque.
Funcionalidades
- Filtro e Selecao de Cheques
- Marcacao de Cheques para Transferencia
- Configuracao da Transferencia
- Execucao da Transferencia
- Parametrizacao do Desconto de Duplicata
Mensagens exibidas
Levantadas de source/MFC022/ pela camada 0 (commit 96fc51e236).
Mais 48 mensagens com texto literal no código: MFC022.
Tabelas de Escrita (INSERT/UPDATE/DELETE)
| Tabela | Operacoes |
|---|---|
| CONTAS | DELETE, INSERT, SELECT, UPDATE |
| PESSOA | DELETE, INSERT, SELECT, UPDATE |
| TIPOCONTA | DELETE, INSERT, SELECT, UPDATE |
Tabelas de Leitura (SELECT)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| BANCO | SELECT |
| BOLETO | SELECT |
| CHEQUE | SELECT |
| CONTACORPESSOA | SELECT |
| CONTASHISTORICO | SELECT |
| CONTASJUNCAO | SELECT |
| EMPRESA | SELECT |
| FORMAPAGTO | SELECT |
| HISTORICO | SELECT |
| JURO | SELECT |
| MOVTOCAIXA | SELECT |
| PARMFINANC | SELECT |
| PARMSALDO | SELECT |
| USUARIOCONTASALDO | SELECT |
Procedures Chamadas
| Procedure | Tabelas Acessadas |
|---|---|
| EXECUTA_PROCESSO | AGENCIA (SELECT), AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), AVISOSCPC (INSERT), BANCO (SELECT), CHEQUE (SELECT) +63 |
| GRAVA_CHEQUECARTAO | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), BOLETO (SELECT), CHEQUE (INSERT), CODRECEITA (SELECT), CONDPAGTO (SELECT) +66 |
| GRAVA_MOVTOCAIXA | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), CODRECEITA (SELECT), CONDPAGTO (SELECT), CONTAS (SELECT), CONTASCTB (DELETE/INSERT/SELECT) +56 |
| GRAVA_MOVTOPROCESSO | CONTAS (SELECT), CONTASHISTORICO (SELECT), HISTORICO (SELECT), MOVTOPROCESSO (INSERT/SELECT), PARMFINANC (SELECT), PROCESSO (SELECT/UPDATE) |
| GRAVA_PROCESSO | PROCESSO (INSERT), SEQUENCIA (SELECT/UPDATE), SESSAO (SELECT) |
| VIEW_PARMSALDO | EMPRESA (SELECT), PARMFINANC (SELECT), PARMSALDO (SELECT), SESSAO (INSERT/SELECT), USUARIOCONTASALDO (SELECT) |
| VIEW_PLANOCONTAS | CENTROCUSTO (SELECT), CONTASPESSOA (SELECT), PARMCONTABIL (SELECT), PARMSISTEMA (SELECT), PLANOCONTAS (SELECT), PLANOEMPRESA (SELECT) |
Tabelas via Procedures (acesso indireto)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| AJUSTEFISCALITEMNOTA | DELETE, INSERT, SELECT |
| ALIQUOTA | SELECT |
| AVISOSCPC | INSERT |
| BANCO | SELECT |
| BOLETO | SELECT |
| CENTROCUSTO | SELECT |
| CHEQUE | INSERT, SELECT |
| CODRECEITA | SELECT |
| COMISSAOCONTAS | INSERT |
| CONDPAGTO | SELECT |
| CONDPARCELA | SELECT |
| CONTAS | INSERT, SELECT, UPDATE |
| CONTASBLOQFINANC | SELECT |
| CONTASCTB | DELETE, INSERT, SELECT |
| CONTASHISTORICO | INSERT, SELECT |
| CONTASHISTORICOCC | SELECT |
| CONTASHISTORICOCTB | DELETE, INSERT, SELECT |
| CONTASJUNCAO | SELECT |
| CONTASPESSOA | INSERT, SELECT |
| ... | +62 tabelas |
Dependencias Aferentes (quem alimenta esta tela)
Telas que escrevem em tabelas lidas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| MFC004 | Pagamento / Recebimento de Contas | CONTAS |
| MFC029 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MNF029 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
| CFC010 | Aviso de Liquidação de Duplicatas no SCPC | CONTAS |
| MPD011 | Confirmação Ordem Carregamento | CONTAS |
| MFC019 | Reparcelamento de Contas | CONTAS |
| MFC033 | Gerenciamento Boleto Rápido Junsoft | CONTAS |
| MFC032 | Gerenciamento de Títulos a Pagar | CONTAS |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MFC006 | Estorno de Lançamento de Caixa Avulso / Cheque | CONTAS |
| MPD019 | Gerenciamento de Contrato/Romaneio Obras | CONTAS |
JunsoftServiceFatApp | CONTAS | |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| CPD004 | CONTAS | |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| CNF002 | Troca de Mercadorias | CONTAS |
| MNF033 | Faturamento Agrupado | CONTAS |
| MNF005 | Cancelamento de Notas Fiscais | CONTAS |
| MPD012 | Cancelamento Ordem Carregamento | CONTAS |
| MNF023 | Gerenciamento de Contas de Contratos | CONTAS |
| TRC037 | CONTAS | |
| MNF032 | Importação de XML Transmitido | CONTAS |
| MPD008 | Ordem de Produção Avulsa | CONTAS |
| MFC021 | CONTAS | |
| MFC007 | Estorno de Pagamento / Recebimento de Contas | CONTAS |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
| ... | +74 telas |
Dependencias Eferentes (quem consome dados desta tela)
Telas que leem tabelas escritas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| LCX041 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MRC026 | Agenda de Pneus | CONTAS |
| LCX040 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
RCA004 | Curva ABC de Fornecedores | CONTAS |
TRD012 | CONTAS | |
| RFC013 | Posição Financeira por Período | CONTAS |
| RFC036 | Relação de Receitas x Despesas sobre Duplicatas com Gráfico | CONTAS |
| LNF501 | CONTAS | |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MCB003 | Integração Contábil | CONTAS |
| RPD006 | Custos sobre Ordem de Serviço | CONTAS |
| RFC017 | Conciliação de Caixa / Banco | CONTAS |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| LNF141 | CONTAS | |
LDP006 | CONTAS | |
| RPD033 | CONTAS | |
| LNF165 | CONTAS | |
| LNF015 | CONTAS | |
MOF008 | Desbloqueio de Ordens de Serviço - Financeiro | CONTAS |
LDP013 | CONTAS | |
LDP014 | CONTAS | |
LDP022 | CONTAS | |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
LDP028 | CONTAS | |
MCA003 | Transferências entre Contratos | CONTAS |
| ... | +323 telas |